routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes(['verify' => true]);
Route::post('/test','RendezVousController@search')->name('rendezvous_search');
Route::get('/test','RendezVousController@search');
Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
Route::get('/profile', 'ProfileController@index')->name('profile');
Route::post('/editprofile', 'ProfileController@edit')->name('editprofile');
Route::get('/patients/{id}/rencontres','RencontreController@list')->name('patients.rencontres');
Route::post('/patients/search','PatientController@search')->name('patient_search');
Route::post('upload_image', 'ProfileController@store_image')->name('upload_image');
Route::post('change_name','ProfileController@change_name')->name('change_name');
Route::post('change_lastname','ProfileController@change_lastname')->name('change_lastname');
Route::post('change_password','ProfileController@change_password')->name('change_password');
Route::resource('patients', 'PatientController');
Route::resource('rencontres', 'RencontreController');
Route::resource('rendezvous', 'RendezVousController');
Route::get('patient/{id}/images','PatientController@show_images')->name('show_images');
Route::get('patient/{id}/documents','PatientController@show_documents')->name('show_documents');
Route::post('/images/store','ImageController@store_image')->name('store_image');
Route::get('images/create','ImageController@create')->name('images.create');
Route::post('/documents/s/store','DocumentController@store')->name('store_doc');
Route::get('documents/create','DocumentController@create')->name('documents.create');

resources/views/extension/footer.blade.php
<!-- Footer -->
<footer class="page-footer font-small cyan darken-3">
    <!-- Footer Elements -->
    <div class="container text-center">
        <!-- Grid row-->
        <div class="row">
            <!-- Grid column -->
            <div class="col-md-12 py-5">
                <div class="mb-5 flex-center">
                    <!-- Facebook -->
                    <a class="fb-ic">
                        <i class="fab fa-facebook-f fa-lg white-text mr-md-5 mr-3 fa-2x"> </i>
                    </a>
                    <!-- Twitter -->
                    <a class="tw-ic">
                        <i class="fab fa-twitter fa-lg white-text mr-md-5 mr-3 fa-2x"> </i>
                    </a>
                    <!-- Google +-->
                    <a class="gplus-ic">
                        <i class="fab fa-google-plus-g fa-lg white-text mr-md-5 mr-3 fa-2x"> </i>
                    </a>
                    <!--Linkedin -->
                    <a class="li-ic">
                        <i class="fab fa-linkedin-in fa-lg white-text mr-md-5 mr-3 fa-2x"> </i>
                    </a>
                </div>
            </div>
            <!-- Grid column -->
        </div>
        <!-- Grid row-->
    </div>
    <!-- Footer Elements -->
    <!-- Copyright -->
    <div class="footer-copyright text-center py-3"> &copy; {{ now()->year }} DocMed
    </div>
    <!-- Copyright -->
</footer>
<!-- Footer -->

resources/views/extension/navbar.blade.php
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        @auth
        <li class="nav-item d-none d-sm-inline-block">
            <a class="nav-link" href="{{ route('patients.index') }}">{{ __('login.patientlist') }}</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
            <a class="nav-link" href="{{ route('rendezvous.index') }}">{{ __('My appointments') }}</a>
        </li>
        @endauth
    </ul>
    <!-- Left navbar links -->
    <!-- Right Side Of Navbar -->
    <ul class="navbar-nav ml-auto">
        <!-- Authentication Links -->
        @guest
            <li class="nav-item">
                <a class="nav-link" href="{{ route('login') }}">{{ __('login.login') }}</a>
            </li>
            @if (Route::has('register'))
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('register') }}">{{ __('login.register') }}</a>
                </li>
            @endif
        @else
            <li class="nav-item dropdown">
                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false" v-pre>
                    Dr {{ Auth::user()->lastname }} <span class="caret"></span>
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="{{ route('profile') }}">{{ __('login.profil') }}</a>
                    <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                                                             document.getElementById('logout-form').submit();">
                        {{ __('login.logout') }}
                    </a>

                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                        @csrf
                    </form>
                </div>
            </li>
        @endguest
        @if (count(config('app.languages')) > 1)
            <li class="nav-item dropdown d-md-down-none">
                <a class="nav-link" data-toggle="dropdown" href="#" role="button" aria-haspopup="true"
                    aria-expanded="false">
                    @if (app()->getLocale() == 'en')
                        <span class="flag-icon flag-icon-gb"></span>
                    @else
                        <span class="flag-icon flag-icon-{{ app()->getLocale() }}"></span>
                    @endif
                    {{ strtoupper(app()->getLocale()) }}
                </a>
                <div class="dropdown-menu dropdown-menu-right">
                    @foreach (config('app.languages') as $langLocale => $langName)
                        <a class="dropdown-item" href="{{ url()->current() }}?change_language={{ $langLocale }}">
                            @if ($langLocale == 'en')
                                <span class="flag-icon flag-icon-gb"></span>
                            @else
                                <span class="flag-icon flag-icon-{{ $langLocale }}"></span>
                            @endif
                            {{ $langName }}
                        </a>
                    @endforeach
                </div>
            </li>
        @endif
    </ul>
</nav>

resources/views/extension/sidebar.blade.php
 <!-- Main Sidebar Container -->
 <aside class="main-sidebar sidebar-dark-primary elevation-3">
    <!-- Brand Logo -->
 <a href="/" class="brand-link">
      <img src="{{ url('images/img/docmed-logo.png') }}" alt="HelloDoc" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">HelloDoc</span>
    </a>
@auth
    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{ asset('/storage/images/profils/' . Auth::user()->imagepath) }}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
        <a href="{{ route('profile') }}" class="d-block {{ (request()->is('profile*')) ? 'active' : '' }}">{{Auth::user()->name}} {{Auth::user()->lastname}}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item">
          <a href="{{route('dashboard')}}" class="nav-link {{ (request()->is('dashboard*')) ? 'active' : '' }}">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                {{__('Dashboard')}}
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="{{ route('rendezvous.index') }}" class="nav-link {{ (request()->is('rendezvous')) ? 'active' : '' }}">
              <i class="nav-icon far fa-calendar-alt"></i>
              <p>
                {{ __('My appointments') }}
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link {{ (request()->is('rendezvous/create*')) ? 'active' : '' }}" href="{{ route('rendezvous.create') }}">
              <i class=" nav-icon fas fa-calendar-check"></i>
            <p>
              {{ __('New appointment') }}
            </p>
          </a>
          </li>
          <li class="nav-item">
            <a class="nav-link {{ (request()->is('patients')) ? 'active' : '' }}" href="{{ route('patients.index') }}">
              <i class=" nav-icon fas fa-address-book"></i>
            <p>
              {{ __('login.patientlist') }}
            </p>
          </a>
          </li>
          <li class="nav-item">
            <a  class="nav-link {{ (request()->is('patients/create')) ? 'active' : '' }}"  href="{{ route('patients.create') }}">
              <i class=" nav-icon fas ion-person-add"></i>
              <p>
                {{__('New patient')}}
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a  class="nav-link {{ (request()->is('documents/create')) ? 'active' : '' }}"  href="{{ route('documents.create') }}">
              <i class=" nav-icon fas fa-file"></i>
              <p>
                {{__('New document')}}
              </p>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
    @endauth
    @guest
  <!-- Sidebar -->
  <div class="sidebar">
    <!-- Sidebar Menu -->
    <nav class="mt-2">
      <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
        <li class="nav-item">
          <a href="{{ route('login') }}" class="nav-link {{ (request()->is('login*')) ? 'active' : '' }}">
            <i class="nav-icon fas fa-sign-in-alt "></i>
            <p>
              {{__('login.login')}}
            </p>
          </a>
        </li>
        <li class="nav-item">
          <a href="{{ route('register') }}" class="nav-link {{ (request()->is('register*')) ? 'active' : '' }}">
            <i class="nav-icon far fa-edit"></i>
            <p>
              {{__('login.register')}}
            </p>
          </a>
        </li>
      </ul>
    </nav>
    <!-- /.sidebar-menu -->
  </div>
  <!-- /.sidebar -->
    @endguest
  </aside>